import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:google_map_location_picker_teclaelvis/google_map_location_picker_teclaelvis.dart';

void main() {
  const MethodChannel channel = MethodChannel('google_map_location_picker_teclaelvis');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await GoogleMapLocationPickerTeclaelvis.platformVersion, '42');
  });
}
